<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2020 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo
 * Release Date: 2019-01-08
 */
define('IN_DOUCO', true);

require (dirname(__FILE__) . '/include/init.php');

// 验证并获取合法的ID，如果不合法将其设定为-1
$id = $firewall->get_legal_id('page', $_REQUEST['id'], $_REQUEST['unique_id']);
if ($id == -1) {
    $id = $dou->get_one("SELECT id FROM " . $dou->table('page') . " ORDER BY id ASC");
}

// 获取上一个和下一个分类ID
$id_list = $dou->mp_get_page('id_list');
$cur_key = array_search($id, $id_list);
$near_id['previous'] = $id_list[$cur_key - 1] ? $id_list[$cur_key - 1] : '';
$near_id['next'] = $id_list[$cur_key + 1] ? $id_list[$cur_key + 1] : '';

// 标题
$data['title'] = $dou->get_one("SELECT page_name FROM " . $dou->table('page') . " WHERE id = '$id'");

// 分类菜单
$data['tree'] = $dou->mp_get_page('tree', $id);

// 当前cat_id
$data['id'] = $id;

// 当前NAV的位置，用于计算当前顶部菜单的滚动位置
$data['current_nav'] = $cur_key;

// 分类产品列表
$data['main'] = $dou->mp_get_page('main', $id, 0, $near_id);

echo json_encode($data);

?>